
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用 MVVMLight 绑定数据 / 憋错料</title>

    <meta name="description" content="使用 MVVMLight 绑定数据 如果你还不知道如何在VS中加入MVVMLight的引用,那么建议你先翻阅这篇文章:在VS中安装/使用 MVVMLight 这篇文章主要是介绍如何使用MVVMLight来绑定数据到界面中(View),以此来了解MVVMLight的一些基础的类的用法. 文章底部会提供本示例的源码下载. MVVMLight绑定数据示例 好了,我们在新建了两个项目,分别是“MVVMLight的主程序” 与  “Model层”,运行的效果及解决方案结构如下: 其实很简单,就是绑定了一个数据源而已,编写的代码也不多,下面我">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">使用 MVVMLight 绑定数据</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3Lnd4enp6LmNvbS93cC1jb250ZW50L3VwbG9hZHMvMjAxNC8wNy9NVlZNLnBuZw==.jpg" /></p>
<p>如果你还不知道如何在VS中加入MVVMLight的引用，那么建议你先翻阅这篇文章：<a href="http://www.wxzzz.com/964.html" rel="external nofollow noreferrer">在VS中安装/使用 MVVMLight</a></p>
<p>这篇文章主要是介绍如何使用MVVMLight来绑定数据到界面中（View），以此来了解MVVMLight的一些基础的类的用法。</p>
<p>文章底部会提供本示例的源码下载。</p>
<h2>MVVMLight绑定数据示例</h2>
<p>好了，我们在新建了两个项目，分别是&ldquo;<strong>MVVMLight的主程序</strong>&rdquo; 与&nbsp; &ldquo;<strong>Model层</strong>&rdquo;，运行的效果及解决方案结构如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3Lnd4enp6LmNvbS93cC1jb250ZW50L3VwbG9hZHMvMjAxNC8wNy9NVlZNTGlnaHRCaW5kaW5nXzEuanBn.jpg" /></p>
<p>其实很简单，就是绑定了一个数据源而已，编写的代码也不多，下面我们来一步一步的实现使用MVVMLight来绑定数据，并了解其中的细节。</p>
<h2>如何实现？</h2>
<p>我这里使用的是.NET 4.5&nbsp; ， 你可以使用至少4.0以上的版本来实现这个项目（选择4.0/4.5 要选择想要的MVVMLight的引用文件），下面依次建立两个项目来实现。</p>
<h3>1.建立Model层的项目</h3>
<p>新建了一个命名为&ldquo;MyModel&rdquo;的类库项目，其中引用了MVVMLight相关程序集，然后包含一个User类即可。User.cs代码如下：</p>
<ol>
<li>using GalaSoft.MvvmLight;</li>
<li>using System;</li>
<li>using System.Collections.Generic;</li>
<li>using System.Collections.ObjectModel;</li>
<li>using System.Linq;</li>
<li>using System.Text;</li>
<li>using System.Threading.Tasks;</li>
<li>namespace MyModel</li>
<li>{</li>
<li>public class User : ObservableObject</li>
<li>{</li>
<li>private int _id;</li>
<li>/// &lt;summary&gt;</li>
<li>/// ID</li>
<li>/// &lt;/summary&gt;</li>
<li>public int ID</li>
<li>{</li>
<li>get { return _id; }</li>
<li>set</li>
<li>{</li>
<li>_id = value;</li>
<li>RaisePropertyChanged("ID");</li>
<li>}</li>
<li>}</li>
<li>private string _name;</li>
<li>/// &lt;summary&gt;</li>
<li>/// 名称</li>
<li>/// &lt;/summary&gt;</li>
<li>public string Name</li>
<li>{</li>
<li>get { return _name; }</li>
<li>set</li>
<li>{</li>
<li>_name = value;</li>
<li>RaisePropertyChanged("Name");</li>
<li>}</li>
<li>}</li>
<li>private string _domain;</li>
<li>/// &lt;summary&gt;</li>
<li>/// 网站域名</li>
<li>/// &lt;/summary&gt;</li>
<li>public string Domain</li>
<li>{</li>
<li>get { return _domain; }</li>
<li>set</li>
<li>{</li>
<li>_domain = value;</li>
<li>RaisePropertyChanged("Domain");</li>
<li>}</li>
<li>}</li>
<li>#region 模拟数据获取</li>
<li>/// &lt;summary&gt;</li>
<li>/// 模拟测试数据</li>
<li>/// &lt;/summary&gt;</li>
<li>/// &lt;returns&gt;&lt;/returns&gt;</li>
<li>public static ObservableCollection&lt;User&gt; GetUserList()</li>
<li>{</li>
<li>ObservableCollection&lt;User&gt; list = new ObservableCollection&lt;User&gt;();</li>
<li>list.Add(new User() { ID = 1, Name = "王旭", Domain = "www.wxzzz.com" });</li>
<li>list.Add(new User() { ID = 2, Name = "王旭博客", Domain = "www.wxzzz.com" });</li>
<li>return list;</li>
<li>}</li>
<li>#endregion</li>
<li>}</li>
<li>}</li>
</ol>
<p>User类主要继承了 <code>ObservableObject</code> 这个对象，这个对象其实也是<code>ViewModelBase</code>的父类，我们下面会用到。该类主要是实现了属性变更通知接口，如我们用到的：<code>RaisePropertyChanged("");</code></p>
<p>User 类中包含了3个字段分别是</p>
<ol>
<li>int ID</li>
<li>string Name</li>
<li>string Domain</li>
</ol>
<p>然后包含了一个静态的<code>GetUserList()</code>方法。其他的就没什么了，这个项目就建立完毕了。</p>
<h3>2.建立主程序项目</h3>
<p>我这里使用的是WPF项目，当然你也可以建立其他类型的项目。建立好WPF项目之后，我们需要在项目中建立如下结构的文件</p>
<ul>
<li>View -&gt; UserView.xaml</li>
<li>ViewModel -&gt; UserViewModel.cs</li>
</ul>
<p>View 文件夹用于存放向用户展示的UI界面。</p>
<p>ViewModel 用于存放业务逻辑代码。</p>
<p><strong>首先编写 UserViewModel 的代码如下</strong></p>
<ol>
<li>using System;</li>
<li>using System.Collections.Generic;</li>
<li>using System.Collections.ObjectModel;</li>
<li>using System.Linq;</li>
<li>using System.Text;</li>
<li>using System.Threading.Tasks;</li>
<li>using GalaSoft.MvvmLight;</li>
<li>using MyModel;</li>
<li>namespace MVVMLightDemo.ViewModel</li>
<li>{</li>
<li>public class UserViewModel : ViewModelBase</li>
<li>{</li>
<li>public UserViewModel()</li>
<li>{</li>
<li>//初始化数据</li>
<li>_userData = User.GetUserList();</li>
<li>}</li>
<li>private ObservableCollection&lt;User&gt; _userData;</li>
<li>/// &lt;summary&gt;</li>
<li>/// 用户信息数据</li>
<li>/// &lt;/summary&gt;</li>
<li>public ObservableCollection&lt;User&gt; UserData</li>
<li>{</li>
<li>get { return _userData; }</li>
<li>set</li>
<li>{</li>
<li>_userData = value;</li>
<li>RaisePropertyChanged("UserData");</li>
<li>}</li>
<li>}</li>
<li>}</li>
<li>}</li>
</ol>
<p><strong>每个ViewModel类都将继承MVVMLight的 ViewModelBase 为父类</strong>， 不过不要忘了 <code>using GalaSoft.MvvmLight;</code>&nbsp; 。继承之后就可以调用父类的 <code>RaisePropertyChanged("属性名")</code> 来实现属性变更通知了，在值有改变的时候那么UI界面绑定了该值的情况下 就会收到通知跟随改变。</p>
<p>我在该类的构造函数中，对 <code>UserData</code> 进行了初始化，把数据给赋值上去了，那么在接下来的View中绑定 <code>UserData</code> 才会出现数据。</p>
<p><strong>接下来开始编写 UserView.xaml 的代码如下</strong></p>
<ol>
<li>&lt;Window x:Class="MVVMLightDemo.View.UserView"</li>
<li>xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"</li>
<li>xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"</li>
<li>Title="UserView" Height="300" Width="300"&gt;</li>
<li>&lt;Grid&gt;</li>
<li>&lt;DataGrid ItemsSource="{Binding UserData}"&gt;&lt;/DataGrid&gt;</li>
<li>&lt;/Grid&gt;</li>
<li>&lt;/Window&gt;</li>
</ol>
<p>其实代码就只有一行，也就是 <code>&lt;DataGrid ItemsSource="{Binding UserData}"&gt;&lt;/DataGrid&gt;</code>这样代码，让其 DataGrid 绑定字段 UserData 即可。</p>
<p>仅仅这样还不行，我们还需要让View与ViewModel关联起来，那么需要设置这个View的数据上下文。 在后台编写如下代码</p>
<ol>
<li>public UserView()</li>
<li>{</li>
<li>this.DataContext = new UserViewModel();</li>
<li>InitializeComponent();</li>
<li>}</li>
</ol>
<p>其实代码也只有一行，也就是 <code>this.DataContext = new UserViewModel();</code> 即可。</p>
<p><strong>至此我们的代码就编写完成了，实现了MVVMLight中的数据绑定。</strong></p>
<p>而MainWindow.xaml我仅仅放置了一个按钮使用了 Click事件在xaml的后台代码中直接弹出了UserView窗口。后面再来改进这些代码。</p>
<p>示例源码下载：<a href="http://www.wxzzz.com/wp-content/uploads/2014/07/MVVMLightDemo_1.rar" rel="external nofollow noreferrer">MVVMLightDemo_1</a></p>
<p><strong>更多的MVVMLight使用，请返回查阅《<a href="http://www.wxzzz.com/958.html" rel="external nofollow noreferrer">MVVMLight 设计模式系列使用文章</a>》，欢迎各位Coder补充。</strong></p>
<p>转载请注明：<a href="http://www.wxzzz.com" rel="external nofollow noreferrer">王旭博客</a> &raquo; <a href="http://www.wxzzz.com/973.html" rel="external nofollow noreferrer">使用 MVVMLight 绑定数据</a></p>
<p><P>使用 MVVMLight 绑定数据</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 23:14:23 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/strong/" title="strong">strong</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>使用 MVVMLight 绑定数据的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KjDBOM.html" rel="bookmark">使用 MVVMLight 绑定数据（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MVVMLight绑定数据示例 好了,我们在新建了两个项目,分别是“MVVMLight的主程序” 与  “Model层”,运行的效果及解决方案结构如下: 其实很简单,就是绑定了一个数据源而已,编写的代码也不多,下面我们来一步一步的实现使用MVVMLight来绑定数据,并了解其中的细节. 如何实现? 我这里使用的是.NET 4.5  , 你可以使用至少4.0以上的版本来实现这个项目(选择4.0/4.5 要选择想要的MVVMLight的引用文件),下面依次建立两个项目来实现. 1.建立Model层的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JGqdnM.html" rel="bookmark">MVVMLight绑定数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们先新建一个WPF项目MVVMLightDemo,添加GalaSoft.MvvmLight.dll(没有可以自己下载) 然后在项目中添加三个文件夹,如图: 先添加我们的Model,在Model下新建一个类Student using GalaSoft.MvvmLight; using System.Collections.ObjectModel; namespace MVVMLightDemo.Model { public class Student : ObservableObject { p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Yg5jN4.html" rel="bookmark">GridView等表格模板列绑定数据的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//绑定GridView每一行中的CheckBoxList protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e) { if (e.Row.RowType == DataControlRowType.DataRow) { CheckBoxList cbl = (CheckBoxList)e.Row.FindControl(&quot;ckbCheckBox&quot;); if (cbl != null) {			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j5JG9M.html" rel="bookmark">关于angularJS绑定数据时自动转义html标签</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				折磨了两天,最后发现答案竟如此简单,不过辛苦还是值得的,毕竟为了弄明白这一点又学习了更多代码. angularJS在进行数据绑定时默认是会以文本的形式输出,也就是对你数据中的html标签不进行转义照单全收,这样提高了安全性,防止了html标签中的注入攻击,但有些时候还是需要的,特别是从数据库读取带格式的文本时,无法正常的显示在页面中. 而要对html进行转义,则要在数据绑定的html标签中使用ng-bind-html属性,该属性依赖与$sanitize,也就是需要引入angular-saniti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6NKyJM.html" rel="bookmark">【 D3&period;js 入门系列 &mdash; 2 】 绑定数据和选择元素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 如何绑定数据 D3 有一个很独特的功能:能将数据绑定到 DOM 上,也就是绑定到文档上.这么说可能不好理解,例如网页中有段落元素&lt;p&gt;,我们可以将整数 5 与 &lt;p&gt;绑定到一起. D3 中是通过 data() 和 datum() 函数来绑定数据的,最常用的是 data(). 现有如下 HTML 代码: &lt;p&gt;Hello World 1&lt;/p&gt; &lt;p&gt;Hello World 2&lt;/p&gt; &lt;p&gt;Hello World 3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0en7KE3.html" rel="bookmark">关于JQuery中&dollar;&period;data绑定数据原理或逻辑</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题: JQuery中,对于.data([key],[value])函数,当使用其进行数据绑定时,假设要绑定的数据是“引用数据类型”,也就是对象:那么.data函数绑定的是该对象的副本还是该对象的一个引用?下面通过以下小例子来测试下: 1 &lt;!DOCTYPE html&gt; 2 &lt;html lang=&quot;en&quot;&gt; 3 &lt;head&gt; 4 &lt;meta charset=&quot;UTF-8&quot;&gt; 5 &lt;title&gt;Test&lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP8p8mM.html" rel="bookmark">asp&period;net中Repeater中用ul li绑定数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;ul class=&quot;tit1&quot;&gt; &lt;asp:Repeater ID=&quot;Repeater1&quot; runat=&quot;server&quot;&gt; &lt;ItemTemplate&gt; &lt;li&gt; &lt;p class=&quot;tit1-p-1&quot;&gt; &lt;img style=&quot;border: 0px;&quot; src=&quot;/image/biaozhi.jpg&quot; /&gt; &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MV8r9x3.html" rel="bookmark">【 D3&period;js 选择集与数据详解 &mdash; 3 】 绑定数据的顺序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				data() 函数有两个参数,第一个是被绑定数据,第二个参数用于指定绑定的顺序.在数据需要更新的时候常常会用到. 默认的情况下,data()函数是按照索引号依次绑定数组各项的.第0个元素绑定数组的第0项,第1个元素绑定数组的第1项,依此类推.也可以不按照此顺序进行绑定,这就要用到data()的第二个参数.这个参数是一个函数,称为键函数(key function). 要注意,只有在选择集原来已经绑定有数据的情况下,才能使用键函数指定绑定的顺序.请看以下代码: &lt;body&gt; &lt;!-- 三个空			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jXDY94.html" rel="bookmark">【 D3&period;js 选择集与数据详解 &mdash; 2 】 使用data&lpar;&rpar;绑定数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				D3 中绑定数据大多是由 data() 函数来完成的,它是怎样工作的,它与 datum() 有什么区别呢? data()函数能够将数组各项分别绑定到各元素上,而且能够设置绑定的规则.data()还能够处理数组长度与元素数量不一致的情况.当数组长度大于元素数量,能为多余数据预留元素位置,以便将来插入新元素:当数组长度小于元素数量时,能提供指向多余元素的方法,以便将来删除.下面来剖析data()是如何绑定数据的,相比datum()有哪些新功能. data()的工作过程 假设body中有三个段落元素p			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLJZbB3.html" rel="bookmark" class="title">cf581C Developing Skills</a>
					<div>
						Petya loves computer games. Finally a game that he's been waiting for so long came out! The main cha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kXRrd3.html" rel="bookmark" class="title">例题3&period;19 优势人群 UVa11020</a>
					<div>
						1.题目描述:点击打开链接 2.解题思路:本题利用multiset解决.根据题意,如果我们用P(x,y)表示一个人,因为人可以相同,所以用multiset.我们会发现,如果所有人群都是有优势的,那么这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Am6rD4.html" rel="bookmark" class="title">apache2 多站点虚拟主机配置</a>
					<div>
						&lt;VirtualHost *:80&gt; ServerAdmin [email protected] DocumentRoot /var/www/phpmyadmin ServerName s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enblb3.html" rel="bookmark" class="title">&lbrack;读书笔记&rsqb;九月读书笔记</a>
					<div>
						最近在看的两本书,感觉都还不错,对自我提升都有较好的帮助,简单地记录下分享给大家吧,看书大概是大学里我最为喜欢的一件事情了吧,就快毕业了,不知道以后还有没有机会这样安安静静地看书啊.   &lt;架构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MB1r1K4.html" rel="bookmark" class="title">Cannot assign requested address 问题</a>
					<div>
						測试一个简单的TCP套接字程序,client向server请求建立连接然后释放. 在一台主机上同一时候执行两个client时.出现报错&quot;Cannot assign requestedaddr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVVYBkM.html" rel="bookmark" class="title">想你才vnxfbzdxggh</a>
					<div>
						http://i2.feixin.10086.cn/pages/101553/1340843972 http://i2.feixin.10086.cn/pages/101558/1340843975  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZryXg3.html" rel="bookmark" class="title">初识Mybatis框架&comma;实现增删改查等操作</a>
					<div>
						此第一次接触Mybatis框架确实是有点不适应,特别是刚从Hibernate框架转转型过来,那么为什么要使用Mybatis框架,Mybatis框架和Hibernate框架又有什么异同呢? 这个问题在我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/382o7yM.html" rel="bookmark" class="title">CRM 2011 Close Quote Dialog Box 定制</a>
					<div>
						公司按照自己的商业流程来使用CRM,在签署合同之后并不需要创建订单Order,而是直接关闭. 但是Quote的默认关闭窗口如下: 第一个问题是&quot;Status Reason&quot;只有上面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mmo8A13.html" rel="bookmark" class="title">E题 - A&plus;B for Input-Output Practice &lpar;IV&rpar;</a>
					<div>
						Time Limit:1000MS     Memory Limit:32768KB     64bit IO Format:%I64d &amp; %I64u Description Your ta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/382E6RM.html" rel="bookmark" class="title">PHP中的ob&lowbar;start用法</a>
					<div>
						Example 1. 程序代码 程序代码&lt;?phpob_start(); //打开缓冲区echo \&quot;Hellon\&quot;; //输出header(&quot;location: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGp2Ay0.html" rel="bookmark" class="title">互联网金融网站走马观花</a>
					<div>
						今天看到了一个互联网金融网站性能的文章,随即对这些网站有了一些兴趣.互联网金融这个概念,我印象中应该是从2012年底便开始逐渐显现,在2013年随着余额宝的推出,声势变得越来越大.而余额宝,仅仅是货币 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZljG0.html" rel="bookmark" class="title">matlab的二维卷积操作（转）</a>
					<div>
						MATLAB的conv2函数实现步骤(conv2(A,B)): 其中,矩阵A和B的尺寸分别为ma*na即mb*nb ① 对矩阵A补零,第一行之前和最后一行之后都补mb-1行,第一列之前和最后一列之后都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pLvxR4.html" rel="bookmark" class="title">iOS多线程（二）GCD</a>
					<div>
						GCD 全称是Grand Central Dispatch,&quot;伟大的中枢调度器&quot; GCD是苹果公司为多核的并行运算提出的解决方案 纯C语言,提供了非常多强大的函数 优势 GCD会自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPvEyy3.html" rel="bookmark" class="title">移动客户端设计开发经验-流程篇</a>
					<div>
						和PC端网站的设计和开发相比,移动客户端的开发工作,对绝大多数人来说,绝对是一个崭新的行当. 那么,当我们每天在iphone上,在各种安卓在各种pad上习以为常的刷着微博看着网文切着西瓜找着你妹的时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzEPXk4.html" rel="bookmark" class="title">【进击后端】ubuntu 软件安装</a>
					<div>
						安装软件:node,mongo,express 1.apt install node 2.node -v 3.apt install mongodb 4.mongo -version 5.apt in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dz5qn4.html" rel="bookmark" class="title">CSS的相对定位和就对定位</a>
					<div>
						1.元素的position属性的值默认为static 就是没有定位,元素出现在正常的文档流中,,这个时候你给这个元素设置的left,right,bottom,top这些偏移属性都是没有效果的, 使用相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVvJkzM.html" rel="bookmark" class="title">Nike Air Max 2015&comma;Timberland Pas Cher 2015</a>
					<div>
						Items will be thenike air max bw femme top rated elements of much of our closet, and ways in which m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVRZL2M.html" rel="bookmark" class="title">中颖SH79F1616 PWM初始化程序</a>
					<div>
						//========pwm.h============================================= #ifndef _PWM_H_ #define _PWM_H_ #define ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3w56OVM.html" rel="bookmark" class="title">15-07-26 HTML--样式基本概念、选择器、样式属性</a>
					<div>
						15-07-26 HTML--样式基本概念.选择器.样式属性 样式表: CSS(Cascading Style Sheets,层叠样式表) 作用:美化HTML网页,页面布局. 分类: 内联,写在标签里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVWjDx0.html" rel="bookmark" class="title">计算几何-hdoj-1221-Rectangle and Circle</a>
					<div>
						Rectangle and Circle Problem Description Given a rectangle and a circle in the coordinate system(two ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
